httpd-bugs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject [Bug 59689] LDAP not working after upgrading to 2.4.20
Date Fri, 17 Jun 2016 09:58:07 GMT
https://bz.apache.org/bugzilla/show_bug.cgi?id=59689

--- Comment #9 from Ruediger Pluem <rpluem@apache.org> ---
(In reply to rckolli from comment #8)
> I do not see apu-1-config under 2.4.20 binaries and also apr-util-1 under
> lib folder. It seems 2.4.20 were compiled in a different way compare to
> 2.4.9.I see these files under $2.4.20/lib folder
> -rwxr-x--- 1 lsn lsn  376173 Apr 13 19:39 libldap.so
> -rwxr-x--- 1 lsn lsn  412912 Apr 13 19:39 libldap_r.so
> -rwxr-x--- 1 lsn lsn  412912 Apr 13 19:39 libldap_r-2.4.so.2.10.4
> -rwxr-x--- 1 lsn lsn  412912 Apr 13 19:39 libldap_r-2.4.so.2
> -rwxr-x--- 1 lsn lsn  376173 Apr 13 19:39 libldap-2.4.so.2.10.4
> -rwxr-x--- 1 lsn lsn  376173 Apr 13 19:39 libldap-2.4.so.2
> 
> 
>  Is there a way I can check separately?

Try an

ldd ./httpd

on your 2.4.20 binary to see where the APR / APR-UTIL it uses can be found. The
above seems to indicate that you compiled your own openldap with 2.4.20. I am
getting more and more convinced that the reason behind your trouble is a
mistake while building 2.4.20 and not a bug in httpd itself.

-- 
You are receiving this mail because:
You are the assignee for the bug.

---------------------------------------------------------------------
To unsubscribe, e-mail: bugs-unsubscribe@httpd.apache.org
For additional commands, e-mail: bugs-help@httpd.apache.org


Mime
View raw message